TSF_DIR=../tsf
TSF = $(notdir $(wildcard $(TSF_DIR)/*.tsf))

TEX = $(TSF:%.tsf=%.tex)

TSF_JAR=../../TonicTo/target/TonicTo-1.0-SNAPSHOT.jar

.PRECIOUS: %.tex


all: LiederBuch.pdf

clean:
	rm *.log *.aux *.fdb_latexmk *.fls $(TEX)

%.tex: $(TSF_DIR)/%.tsf
	java -jar $(TSF_JAR)  $< $@ false

LiederBuch.pdf: LiederBuch.tex $(TEX) song.sty
	latexmk LiederBuch.tex
